<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (stristr(htmlentities($_SERVER['PHP_SELF']), "inc_blocks_nav.php")) {
	die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
}
	
	unset($filearray);
	$filearray = array();
	$hide = array("administrators.php","aggregator.php","arguments.php","articles.php","banners.php","blocks.php","blog.php","comments.php","configuration.php","database.php","download.php","faq.php","gallery.php","groups.php","guide.php","forum.php","messages.php","mylinks.php","mypage.php","navigator.php","news.php","newsletter.php","pages.php","security.php","statistics.php","surveys.php","users.php",".svn");
	$handle = opendir('admin/menu/');
	while (false !== ($file = readdir($handle))) {
		if ($file != "." AND $file != ".." AND !strpos($file,"html") AND !in_array($file,$hide)) {
			$filearray[] = $file;
		}
	}
	closedir($handle);
	@sort($filearray);
	@reset($filearray);
	foreach($filearray as $file) {
		include_once("admin/menu/$file");
	}

	function toAdminMenu($title,$image,$path,$icon) {
		global $siteConfig;
		
		$default = false; //Use default icon
		
		if ($icon!="" AND file_exists("admin/icons/$icon") AND !$default) { $icon = "<img src='admin/icons/$icon' border='0' title='$title' align='top'>&nbsp;"; }
		else if (file_exists("admin/icons/default.png")) { $icon = "<img src='admin/icons/default.png' border='0' title='$title' align='top'>&nbsp;"; }
		else { $icon = ""; }
		   
		echo "<li>$icon&nbsp;&nbsp;<a href='admin.php?page=$path' title='$title'>$title</a></li>";
	}

			
?>